pcl::visualization::ImageViewerInteractorStyle Class Reference
Module visualization

An image viewer interactor style, tailored for ImageViewer. More...

`#include <pcl/visualization/image_viewer.h>`

Inheritance diagram for pcl::visualization::ImageViewerInteractorStyle:

## Public Member Functions

| ImageViewerInteractorStyle ()
virtual void | OnMouseWheelForward ()
virtual void | OnMouseWheelBackward ()
virtual void | OnMiddleButtonDown ()
virtual void | OnRightButtonDown ()
virtual void | OnLeftButtonDown ()
virtual void | OnChar ()
void | adjustCamera (vtkImageData *image, vtkRenderer *ren)
void | adjustCamera (vtkRenderer *ren)

## Static Public Member Functions

static ImageViewerInteractorStyle * | New ()

## Detailed Description

An image viewer interactor style, tailored for ImageViewer.

Author
  Radu B. Rusu

Definition at line 75 of file image_viewer.h.

## Constructor & Destructor Documentation

pcl::visualization::ImageViewerInteractorStyle::ImageViewerInteractorStyle | ( |  | ) |

## Member Function Documentation

void pcl::visualization::ImageViewerInteractorStyle::adjustCamera | ( | vtkImageData * | image,
|  | vtkRenderer * | ren
| ) |  |

void pcl::visualization::ImageViewerInteractorStyle::adjustCamera | ( | vtkRenderer * | ren | ) |

static ImageViewerInteractorStyle* pcl::visualization::ImageViewerInteractorStyle::New | ( |  | ) |

static

virtual void pcl::visualization::ImageViewerInteractorStyle::OnChar | ( |  | ) |

virtual

virtual void pcl::visualization::ImageViewerInteractorStyle::OnLeftButtonDown | ( |  | ) |

virtual

virtual void pcl::visualization::ImageViewerInteractorStyle::OnMiddleButtonDown | ( |  | ) |

inline virtual

Definition at line 83 of file image_viewer.h.

virtual void pcl::visualization::ImageViewerInteractorStyle::OnMouseWheelBackward | ( |  | ) |

inline virtual

Definition at line 82 of file image_viewer.h.

virtual void pcl::visualization::ImageViewerInteractorStyle::OnMouseWheelForward | ( |  | ) |

inline virtual

Definition at line 81 of file image_viewer.h.

virtual void pcl::visualization::ImageViewerInteractorStyle::OnRightButtonDown | ( |  | ) |

inline virtual

Definition at line 84 of file image_viewer.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/image_viewer.h